// const { createJWT, isTokenValid, attachCookiesToResponse } = require('./jwt')
// const createTokenUser = require('./createTokenUser')
// const checkPermissions = require('./checkPermissions')

const sentiment = require('./sentiment')
const convertTextToSpeech = require('./textToSpeech')
const listVoice = require('./listVoice')
const convertAudioToLinear16 = require('./convertAudioToLinear16')
const getAudioDuration = require('./getAudioDuration')
const audioUploadToBucket = require('./audioUploadToBucket')
const audioUpload = require('./audioUpload')
const speechToText = require('./speechToText')
const speechToTextJob = require('./speechToTextJob') 
const speechToTextOpenai = require('./speechToTextOpenai')
 

module.exports = {
    sentiment,
    convertTextToSpeech,
    listVoice,
    convertAudioToLinear16,
    getAudioDuration,
    audioUploadToBucket,
    audioUpload,
    speechToText,
    speechToTextJob,
    speechToTextOpenai
}
